# Uses of Enum Class
org.apache.lucene.codecs.lucene90.Lucene90StoredFieldsFormat.Mode

Packages that use Lucene90StoredFieldsFormat.Mode
Package
Description
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.

- ## Uses of Lucene90StoredFieldsFormat.Mode in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return Lucene90StoredFieldsFormat.Mode
  Modifier and Type
  Method
  Description
  `static Lucene90StoredFieldsFormat.Mode`
  Lucene90StoredFieldsFormat.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene90StoredFieldsFormat.Mode[]`
  Lucene90StoredFieldsFormat.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.codecs.lucene90 with parameters of type Lucene90StoredFieldsFormat.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene90StoredFieldsFormat(Lucene90StoredFieldsFormat.Mode mode)`
  Stored fields format with specified mode